techco-app/src/main/java/com/oracle/cloud/demo/oe/web/BasketController.java
package com.oracle.cloud.demo.oe.web;

import com.oracle.cloud.demo.oe.entities.Order;
import com.oracle.cloud.demo.oe.sessions.CheckoutSessionBeanRemote;
import com.oracle.cloud.demo.oe.web.util.BasketItem;

import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Named("basket")
@SessionScoped
public class BasketController implements Serializable {
    private final List<BasketItem> products = new ArrayList<>();
    private BigDecimal total = BigDecimal.ZERO;

    @EJB
    protected CheckoutSessionBeanRemote checkoutBean;

    @Inject
    protected MyOrdersController myOrdersController;

    @Inject
    protected CustomersController customersController;

    public BigDecimal getTotal() {
        return total;
    }

    public List<BasketItem> getProducts() {
        return products;
    }

    public int getCount(){
        return products.size();
    }

    public void addItem(BasketItem bi) {
        BasketItem existingItem = null;
        for (BasketItem cartItem : products) {
            if (cartItem.getProduct().equals(bi.getProduct())) {
                existingItem = cartItem;
                break;
            }
        }
        if (existingItem != null) {
            existingItem.setQuantity(existingItem.getQuantity() + 1);

        } else {
            products.add(bi);
        }
        total = total.add(bi.getSubtotal());
    }

    public void addItems(List<BasketItem> basketItemsToAdd) {
        for (BasketItem p : basketItemsToAdd) {
            addItem(p);
        }
    }

    public void removeItem(BasketItem item) {
        products.remove(item);
        total = total.subtract(item.getSubtotal());
    }

    public void clearBasket() {
        products.clear();
        total = BigDecimal.ZERO;
    }

    public void loadCustomerInfo(){
    	//This is important!!
        String user = FacesContext.getCurrentInstance().getExternalContext().getRemoteUser();
        customersController.setCurrent(customersController.getCustomer(user));
        myOrdersController.setFilterByCustomerEmail(user);
    }

    public String prepareCheckout(){
        if (products.isEmpty()) {
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_WARN, "Product list is empty. You must first add products to the basket.", ""));
            return "/shop/Basket";
        }
        return "/user/Checkout?faces-redirect=true";
    }

    public String checkout() {

        String user = FacesContext.getCurrentInstance().getExternalContext().getRemoteUser();
        Order order = checkoutBean.checkout(user, products);
        myOrdersController.setCurrent(order);
        clearBasket();

        return "/user/ViewLastPlacedOrder";
    }

    public String updateTotal(){
        total = BigDecimal.ZERO;
        for (BasketItem cartItem : products) {
            total = total.add(cartItem.getSubtotal());
        }
        return "Basket";
    }
}

techco-app/src/main/java/com/oracle/cloud/demo/oe/web/BrowseProductsController.java
package com.oracle.cloud.demo.oe.web;

import com.oracle.cloud.demo.oe.entities.ProductInformation;
import com.oracle.cloud.demo.oe.sessions.ProductInformationFacadeRemote;
import com.oracle.cloud.demo.oe.web.util.BasketItem;
import com.oracle.cloud.demo.oe.web.util.UrlCache;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.servlet.ServletContext;
import java.io.File;
import java.util.*;

@ManagedBean(name="browseProductsController")
@ViewScoped
public class BrowseProductsController extends ProductInformationController {
    private final Map<Integer, ProductInformation> productCache = new HashMap<>();
    private final Map<String, String> productCategories = new TreeMap<>();
    private Integer currentProductId;
    private Integer currentQuantity = 1;
    private Integer categoryId = 90;

    @Inject
    protected BasketController basket;

    @PostConstruct
    public void postConstruct() {
        if (productCategories.isEmpty()) {
            productCategories.put("20", "Software");
            productCategories.put("30", "Office");
            productCategories.put("90", "Online Catalog");
            productCategories.put("101", "Hardware");
            productCategories.put("102", "Equipment");
            productCategories.put("103", "Others");
        }
        if (productCache.isEmpty()) {
            for (ProductInformation prodInfo : ejbFacade.findAll()) {
                productCache.put(prodInfo.getProductId(), prodInfo);
            }
        }
        ejbFacade.setFilterByNameOrDesc(null);
    }

    public BasketController getBasket() {
        return basket;
    }

    public void setBasket(BasketController basket) {
        this.basket = basket;
    }

    public String getCatalogUrlForCurrentProduct() {
        return UrlCache.getUrl("product:"+getCurrent().getProductId()+":default");
    }

    @Override
    protected ProductInformationFacadeRemote getFacade() {
        ejbFacade.setFilterByCategoryId(getCategoryId());
        return super.getFacade();
    }

    @Override
    public String prepareList() {
        return "/shop/BrowseProducts";
    }

    @Override
    public String next() {
        super.next();
        return null;
    }

    @Override
    public String previous() {
        super.previous();
        return null;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public Map<String, String> getProductCategories() {
        return productCategories;
    }

    public String getCategoryName() {
        return productCategories.get(getCategoryId().toString());
    }

    public Integer getCurrentQuantity() {
        return currentQuantity;
    }

    public void setCurrentQuantity(Integer currentQuantity) {
        this.currentQuantity = currentQuantity;
    }

    public void setCurrentProductId(Integer currentProductId) {
        this.currentProductId = currentProductId;
    }

    public Integer getCurrentProductId() {
        return currentProductId;
    }

    public void loadCurrentProductInformation() {
        setCurrent(productCache.get(currentProductId));
    }

    public void loadCategoryProducts() {
        getFacade().setFilterByCategoryId(getCategoryId());
    }

    public String addToBasket() {
        addToBasket(productCache.get(getCurrent().getProductId()));
       return "BrowseProducts?category=101&faces-redirect=true"; // hard-code category to hardware for now
    }

    public String addToBasket(ProductInformation productInformation) {
        BasketItem basketItem = new BasketItem();
        basketItem.setProduct(productInformation);
        basketItem.setQuantity(getCurrentQuantity());
        basket.addItem(basketItem);
        String cartMessage =  productInformation.getProductName() + " Added to Cart";
        Map<String, Object> viewMap = FacesContext.getCurrentInstance().getViewRoot().getViewMap();
        viewMap.put("cartAddMessage", cartMessage);
        return null;
    }

    public String checkImage(String imgname){
        String filename = "img/products/" + imgname + ".png";
        String newpath = "resources/default/" + filename;
        //System.out.println("\nfilename : " + newpath);
        FacesContext facesContext = FacesContext.getCurrentInstance();
        String absoluteFilePath = facesContext.getExternalContext().getRealPath(newpath);
        //System.out.println("\nabsoluteFilePath : " + absoluteFilePath);
        File f = new File(absoluteFilePath);
        if(f.exists()){
            return filename;
        }else{
            return "img/products/noimage.jpg";
        }
    }
}

techco-app/src/main/webapp/shop/Basket.xhtml
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">

<ui:composition template="/templates/main.xhtml">
    <ui:define name="title">
        Shopping Cart
    </ui:define>
    <ui:define name="content">
        <h:panelGroup id="cartPanel" layout="block">
            <h:panelGroup layout="block" styleClass="text-center">
                <h:messages warnClass="text-warning" errorClass="text-danger" infoClass="text-info" layout="table"/>
            </h:panelGroup>
            <h:panelGroup layout="block" styleClass="centermessage"
                          rendered="#{empty basket.products and empty facesContext.messageList}">
                <h:link style="font-size: 18px;font-weight: bold;" value="Cart is empty... Go shopping"
                        outcome="BrowseProducts"/>
            </h:panelGroup>
            <h:panelGroup layout="block" style="width: 100%" styleClass="text-center text-info h5"
                          rendered="#{not empty basket.products}">
                <h:form id="shoppingCartForm">
                    <h:panelGroup layout="block" styleClass="row">
                        <div class="form-group col-lg-12 col-md-12 carttaboutdiv nopadding">
                            <h:dataTable value="#{basket.products}" var="item"
                                         columnClasses="pimgcol,pnamecol,ppricecol,pqtycol,ppricecol,pactioncol"
                                         rendered="#{not empty basket.products}"
                                         styleClass="carttable">
                                <h:column id="colimg">
                                    <h:link outcome="ProductDetails" value="">
                                        <f:param name="id" value="#{item.product.productId}"/>
                                        <h:graphicImage styleClass="cartImgSize" align="middle"
                                                        alt="image not available"
                                                        library="default"
                                                        name="img/products/${item.product.productId}.png"/>
                                    </h:link>
                                </h:column>
                                <h:column headerClass="pnameheader" id="colProductName">
                                    <f:facet name="header">Product Name</f:facet>
                                    <h:outputText
                                            value="#{item.product.productId}#{' | '}#{item.product.productName}"
                                            escape="true"/>
                                </h:column>
                                <h:column id="colPrice">
                                    <f:facet name="header">Unit Price</f:facet>
                                    <h:outputText value="#{item.product.listPrice}">
                                        <f:convertNumber locale="en-US" type="currency"/>
                                    </h:outputText>
                                </h:column>
                                <h:column id="colQuantity">
                                    <f:facet name="header">Qty</f:facet>
                                    <h:inputText style="width: 60px" value="#{item.quantity}"
                                                 styleClass="form-control"/>
                                </h:column>
                                <h:column id="colsubPrice">
                                    <f:facet name="header">Subtotal</f:facet>
                                    <h:outputText value="#{item.quantity * item.product.listPrice}">
                                        <f:convertNumber locale="en-US" type="currency"/>
                                    </h:outputText>
                                </h:column>
                                <h:column id="colAction">
                                    <f:facet name="header"></f:facet>
                                    <h:commandLink action="#{basket.removeItem(item)}">
                                        <h:graphicImage alt="no image available" library="default"
                                                        name="img/icons/delete.png" width="15" height="20"/>
                                    </h:commandLink>
                                </h:column>
                            </h:dataTable>
                        </div>
                    </h:panelGroup>
                    <h:panelGroup layout="block" styleClass="row">
                        <h:panelGroup id="buttons" layout="block" styleClass="carttabbottom">
                            <h:panelGroup layout="block" styleClass="left col-lg-9 col-md-7 col-sm-5">
                                <h:link id="continueShoppingBtn" outcome="BrowseProducts" value="Continue Shopping"
                                        styleClass="btn btn-flat"/>
                            </h:panelGroup>
                            <h:panelGroup layout="block" styleClass="right col-lg-3 col-md-5 col-sm-7">
                                <h:commandButton id="clearCartBtn" action="#{basket.clearBasket()}" value="Clear Cart"
                                                 styleClass="btn btn-flat"/>
                                <h:commandButton id="updateCartBtn" action="#{basket.updateTotal()}" value="Update Cart"
                                                 styleClass="btn btn-flat"/>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup layout="block" styleClass="row">
                        <h:panelGroup layout="block" styleClass="carttabbottomco">
                            <h:commandButton action="#{basket.prepareCheckout}" value="Proceed To Payment"
                                             styleClass="btn btn-success" rendered="#{empty request.remoteUser}"/>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:form>
            </h:panelGroup>
        </h:panelGroup>
        <h:panelGroup rendered="#{not empty basket.products and not empty request.remoteUser}">
            <ui:include src="/user/CheckoutPanel.xhtml"/>
        </h:panelGroup>
    </ui:define>
</ui:composition>

</html>

techco-app/src/main/webapp/shop/BrowseProducts.xhtml
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:fn="http://java.sun.com/jsp/jstl/functions"
      xmlns:jsfutil="http://oracle.com/jsfutil"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/templates/main.xhtml">
        <f:metadata>
            <f:viewParam name="category" value="#{browseProductsController.categoryId}"/>
            <f:event type="preRenderView" listener="#{browseProductsController.loadCategoryProducts}"/>
        </f:metadata>
        <ui:define name="title">
            Search Products
        </ui:define>
        <ui:define name="content">
            <h:panelGroup id="messagePanel" layout="block" class="row">
                <h:messages infoClass="text-info" warnClass="text-warning" errorClass="text-danger" layout="table"/>
            </h:panelGroup>
            <h:panelGroup id="browseProductPanel" layout="block" styleClass="row">
                <h:form id="browseProdForm">
                    <h:panelGroup layout="block" styleClass="row">
                        <h:panelGroup layout="block" styleClass="col-lg-6 col-md-6 col-sm-6 nopadding">
                            <h:panelGroup layout="block" styleClass="input-group col-lg-6 col-md-6 col-sm-6">
                                <h:inputText styleClass="prodsearchIt form-control" id="filterByNameOrDesc"
                                             value="#{browseProductsController.filterByNameOrDesc}"/>
                                <h:panelGroup styleClass="input-group-btn">
                                    <h:commandButton type="submit" styleClass="prodsearchbtn btn btn-success"
                                                     value="Go" action="#{browseProductsController.filter()}"/>
                                </h:panelGroup>
                            </h:panelGroup>
                        </h:panelGroup>
                        <h:panelGroup id="categoryFilter2" layout="block" styleClass="col-lg-6 col-md-6 col-sm-6 nopadding">
                            <h:panelGroup id="categoryDropdown" styleClass="btn-group">
                                <button type="button" class="dd btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                    #{browseProductsController.categoryName} <span class="caret"></span>
                                </button>
                                <ul class="dd dropdown-menu" role="menu" aria-labelledby="dropdownMenu">
                                    <ui:repeat value="#{jsfutil:mapToList(browseProductsController.productCategories)}" var="category">
                                        <li>
                                            <a tabindex="-1" href="BrowseProducts.xhtml?category=#{category.key}">#{category.value}</a>
                                        </li>
                                    </ui:repeat>
                                </ul>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup layout="block" styleClass="row" rendered="#{fn:length(browseProductsController.items) > 0}">
                        <h:panelGroup layout="block" styleClass="paginator col-lg-6 col-md-6">
                            <ui:include src="/shared/pagination.xhtml">
                                <ui:param name="controller" value="#{browseProductsController}" />
                            </ui:include>
                        </h:panelGroup>
                        <h:panelGroup layout="block" styleClass="itemsPerPage col-lg-6 col-md-6">
                            <h:outputText value="Number of items: "/>
                            <h:commandButton type="submit"
                                             styleClass="btn btn-success #{browseProductsController.numOfItemsFilter == 6 ? 'filterselected' : ''}"
                                             value="6"
                                             action="#{browseProductsController.setNumOfItemsFilter(6)}"/>&nbsp;
                            <h:commandButton type="submit"
                                             styleClass="btn btn-success #{browseProductsController.numOfItemsFilter == 9 ? 'filterselected' : ''}"
                                             value="9"
                                             action="#{browseProductsController.setNumOfItemsFilter(9)}"/>&nbsp;
                            <h:commandButton type="submit"
                                             styleClass="btn btn-success #{browseProductsController.numOfItemsFilter == 12 ? 'filterselected' : ''}"
                                             value="12"
                                             action="#{browseProductsController.setNumOfItemsFilter(12)}"/>
                        </h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup layout="block" style="width: 100%" styleClass="text-center text-info h5"
                                  rendered="#{fn:length(browseProductsController.items) == 0}">
                        <h:outputText escape="false" value="#{bundle.BrowseProductInformationEmpty}"/>
                    </h:panelGroup>
                    <h:panelGroup rendered="#{fn:length(browseProductsController.items) > 0}">
                        <p:dataGrid var="item" value="#{browseProductsController.items}" columns="3" layout="grid"
                                    rows="" paginator="false" id="prods">
                            <p:panel styleClass="prodPanel">
                                <h:panelGroup styleClass="prodImgPanel">
                                    <h:link outcome="ProductDetails">
                                        <f:param name="id" value="#{item.productId}"/>
                                        <!-- products/1797.jpg img/products/${item.productId}.png -->
                                        <!-- browseProductsController.checkImage(item.productId) -->
                                        <h:graphicImage styleClass="prodImgSize" align="middle" alt="image not available"
                                                        library="default" name="img/products/${item.productId}.png"/>
                                    </h:link>
                                </h:panelGroup>
                                <div class="priceDiv">
                                    <h:outputText class="prodname prodorgprice" value="#{item.listPrice}"><f:convertNumber
                                            locale="en-US" type="currency"/></h:outputText>
                                    <br/>
                                    <h:outputText
                                            class="prodname prodsaleprice" value="#{item.minPrice}"><f:convertNumber
                                            locale="en-US" type="currency"/></h:outputText>
                                </div>
                            </p:panel>
                            <h:panelGrid columns="2" cellpadding="10" styleClass="prodNameDiv"
                                         columnClasses="prodNameDivleft, prodNameDivright" width="100%">
                                <h:panelGroup> <h:link styleClass="prodLink" outcome="ProductDetails" value="">
                                    <f:param name="id" value="#{item.productId}"/>
                                    <h:outputText class="prodname" value="#{item.productId} #{item.productName}"/>
                                </h:link></h:panelGroup>
                                <h:panelGroup><h:commandButton type="submit" styleClass="btn btn-success"
                                                               action="#{browseProductsController.addToBasket(item)}"
                                                               value="#{bundle.BrowseProductInformationAddToCartLink}"/></h:panelGroup>
                            </h:panelGrid>
                        </p:dataGrid>
                        <h:panelGroup layout="block" styleClass="row">
                            <h:panelGroup layout="block" styleClass="paginator">
                                <ui:include src="/shared/pagination.xhtml">
                                    <ui:param name="controller" value="#{browseProductsController}" />
                                </ui:include>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:form>
            </h:panelGroup>
        </ui:define>
    </ui:composition>

</html>

techco-app/src/main/webapp/shop/ProductDetails.xhtml
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">

    <ui:composition template="/templates/main.xhtml">
        <f:metadata>
            <f:viewParam name="id" value="#{browseProductsController.currentProductId}"/>
            <f:event type="preRenderView" listener="#{browseProductsController.loadCurrentProductInformation}"/>
        </f:metadata>
        <ui:define name="title">
            Product Details
        </ui:define>
        <ui:define name="content">
            <h:panelGroup id="messagePanel" layout="block" class="row">
                <h:panelGroup id="messageTextPanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
            </h:panelGroup>
            <h:panelGroup id="productDetailsPanel" layout="block" class="row">
                <h:panelGroup id="productImage" layout="block" styleClass="col-lg-4 col-md-4 ">
                   <!-- browseProductsController.checkImage(browseProductsController.current.productId)-->
                    <h:graphicImage alt="no image available" align="middle" library="default" name="img/products/${browseProductsController.current.productId}.png"/>
                </h:panelGroup>
                <h:panelGroup id="productDetails" layout="block" styleClass="col-lg-8 col-md-8 ">
                    <h:form id="detailsForm">
                        <ui:fragment>
                            <script type="text/javascript">
                                function incrementQty() {
                                    var qty = $("#detailsForm\\:qty");
                                    var val = Number(qty.attr("value"));
                                    if (!isNaN(val)) {
                                        qty.attr("value",val+1);
                                    }
                                    return false;
                                }
                                function decrementQty() {
                                    var qty = $("#detailsForm\\:qty");
                                    var val = Number(qty.attr("value"));
                                    if (val > 1) {
                                        qty.attr("value",val-1);
                                    }
                                    return false;
                                }
                            </script>
                        </ui:fragment>
                        <h:panelGroup layout="block">
                            <h:outputText value="Product #"/>
                            <h:outputText value="#{browseProductsController.current.productId}" title="#{bundle.ViewProductInformationTitle_productId}"/>
                            <h:panelGroup id="productName" layout="block">
                                <h:outputText value="#{browseProductsController.current.productName}" title="#{bundle.ViewProductInformationTitle_productName}"/>
                            </h:panelGroup>
                            <h:panelGroup id="price">
                                <h:outputText id="minPrice" value="#{browseProductsController.current.minPrice}" title="#{bundle.ViewProductInformationTitle_minPrice}">
                                    <f:convertNumber locale="en-US" type="currency"/>
                                </h:outputText>
                                <h:outputText id="listPrice" value="#{browseProductsController.current.listPrice}" title="#{bundle.ViewProductInformationTitle_listPrice}">
                                    <f:convertNumber locale="en-US" type="currency"/>
                                </h:outputText>
                            </h:panelGroup>
                            <h:panelGroup id="availability" layout="block">
                                <h:outputText value="Availability: "/>
                                <h:outputText id="isAvailable" value="In Stock"/>
                            </h:panelGroup>
                            <h:panelGroup id="quantity" layout="block">
                                <h:outputLabel value="Qty:" for="qty" style="display: inline;" />
                                <h:commandButton id="minusBtn" type="submit" value="-" onclick="return decrementQty();"/>
                                <h:inputText id="qty" default="1" value="#{browseProductsController.currentQuantity}" title="Quantity"/>
                                <h:commandButton id="plusBtn" type="submit" value="+" onclick="return incrementQty();"/>
                                <h:commandButton type="submit" styleClass="btn btn-success" value="Add To Cart" action="#{browseProductsController.addToBasket()}"/>
                                <h:link style="margin-left: 10px" class="btn btn-success" outcome="/shop/BrowseProducts" value="SHOP"/>
                            </h:panelGroup>
                            <hr/>
                            <h:panelGroup id="details" layout="block">
                                <h:panelGroup id="productDescription" layout="block">
                                    <h:outputText value="#{browseProductsController.current.productDescription}" title="#{bundle.ViewProductInformationTitle_productDescription}"/>
                                </h:panelGroup>
                                <h:panelGrid columns="2" cellpadding="5">
                                    <h:outputText value="#{bundle.ViewProductInformationLabel_categoryId}"/>
                                    <h:outputText value="#{browseProductsController.current.categoryId}" title="#{bundle.ViewProductInformationTitle_categoryId}"/>
                                    <h:outputText value="#{bundle.ViewProductInformationLabel_weightClass}"/>
                                    <h:outputText value="#{browseProductsController.current.weightClass}" title="#{bundle.ViewProductInformationTitle_weightClass}"/>
                                    <h:outputText value="#{bundle.ViewProductInformationLabel_productStatus}"/>
                                    <h:outputText value="#{browseProductsController.current.productStatus}" title="#{bundle.ViewProductInformationTitle_productStatus}"/>
                                    <h:outputText value="#{bundle.ViewProductInformationLabel_catalogUrl}"/>
                                    <!--
                                    <a href="#{browseProductsController.current.catalogUrl}" onclick="window.open(this.href,'_blank');return false;">#{browseProductsController.current.catalogUrl}</a>
                                    -->
                                    <a href="#{browseProductsController.catalogUrlForCurrentProduct}" onclick="window.open(this.href,'_blank');return false;">${browseProductsController.current.productId} Product Brochure</a>
                                </h:panelGrid>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:form>
                </h:panelGroup>
            </h:panelGroup>
        </ui:define>
    </ui:composition>

</html>